Package org.eclipse.zest.layouts

# Interface LayoutAlgorithm.Zest1

All Superinterfaces:
  `LayoutAlgorithm`

All Known Implementing Classes:
  `AbstractLayoutAlgorithm.Zest1`, `CompositeLayoutAlgorithm.Zest1`, `ContinuousLayoutAlgorithm`, `DirectedGraphLayoutAlgorithm.Zest1`, `GridLayoutAlgorithm.Zest1`, `HorizontalLayoutAlgorithm`, `HorizontalShift`, `HorizontalTreeLayoutAlgorithm`, `RadialLayoutAlgorithm.Zest1`, `SpringLayoutAlgorithm.Zest1`, `TreeLayoutAlgorithm.Zest1`, `VerticalLayoutAlgorithm`

Enclosing interface:
  `LayoutAlgorithm`

@Deprecated(since="2.0", forRemoval=true) public static interface LayoutAlgorithm.Zest1 extends LayoutAlgorithm
Deprecated, for removal: This API element is subject to removal in a future version.
Use `LayoutAlgorithm` instead. This interface will be removed after the 2026-12 release.
Collection of Zest 1.x methods. Used for backwards compatibility.

Since:
  2.0
@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntity(LayoutEntity entity)`
Deprecated.
`void`
`addProgressListener(ProgressListener listener)`
Deprecated.
`void`
`addRelationship(LayoutRelationship relationship)`
Deprecated.
`void`
`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated.
`double`
`getEntityAspectRatio()`
Deprecated.
`int`
`getStyle()`
Deprecated.
`boolean`
`isRunning()`
Deprecated.
`void`
`removeEntity(LayoutEntity entity)`
Deprecated.
`void`
`removeProgressListener(ProgressListener listener)`
Deprecated.
`void`
`removeRelationship(LayoutRelationship relationship)`
Deprecated.
`void`
`removeRelationships(List<? extends LayoutRelationship> relationships)`
Deprecated.
`void`
`setComparator(Comparator comparator)`
Deprecated.
`void`
`setEntityAspectRatio(double ratio)`
Deprecated.
`void`
`setFilter(Filter filter)`
Deprecated.
`void`
`setStyle(int style)`
Deprecated.
`void`
`stop()`
Deprecated.

### Methods inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`applyLayout, setLayoutContext`

## Method Details

### applyLayout

@Deprecated void applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous) throws InvalidLayoutConfiguration
Deprecated.
Apply the layout to the given entities. The entities will be moved and resized based on the algorithm.

Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.
  `x` - The left side of the bounds in which the layout can place the entities.
  `y` - The top side of the bounds in which the layout can place the entities.
  `width` - The width of the bounds in which the layout can place the entities.
  `height` - The height of the bounds in which the layout can place the entities.
  `asynchronous` - Should the algorithm run Asynchronously
Throws:
  `InvalidLayoutConfiguration`

### isRunning

@Deprecated boolean isRunning()
Deprecated.
Returns whether or not the algorithm is currenly running

Returns:
  True if a layout algorithm is currenly running, false otherwise

### setComparator

@Deprecated void setComparator(Comparator comparator)
Deprecated.
Determines the order in which the objects should be displayed. Note: Some algorithms force a specific order, in which case this comparator will be ignored.

### setFilter

@Deprecated void setFilter(Filter filter)
Deprecated.
Filters the entities and relationships to apply the layout on

### setEntityAspectRatio

@Deprecated void setEntityAspectRatio(double ratio)
Deprecated.
Set the width to height ratio you want the entities to use Note: Each layout is responsible for ensuring this ratio is used. Note: By default the layout will use a ratio of 1.0 for each entity.

### getEntityAspectRatio

@Deprecated double getEntityAspectRatio()
Deprecated.
Returns the width to height ratio this layout will use to set the size of the entities. Note: By default the layout will use a ratio of 1.0 for each entity.

### addProgressListener

@Deprecated void addProgressListener(ProgressListener listener)
Deprecated.
A layout algorithm could take an uncomfortable amout of time to complete. To relieve some of the mystery, the layout algorithm will notify each ProgressListener of its progress.

### removeProgressListener

@Deprecated void removeProgressListener(ProgressListener listener)
Deprecated.
Removes the given progress listener, preventing it from receiving any more updates.

### stop

@Deprecated void stop()
Deprecated.
Makes a request to this layout algorithm to stop running.

### setStyle

@Deprecated void setStyle(int style)
Deprecated.
Sets the style for this layout algorithm. This will overwrite any other style set.

Parameters:
  `style` -

### getStyle

@Deprecated int getStyle()
Deprecated.

### addEntity

@Deprecated void addEntity(LayoutEntity entity)
Deprecated.

### addRelationship

@Deprecated void addRelationship(LayoutRelationship relationship)
Deprecated.

### removeEntity

@Deprecated void removeEntity(LayoutEntity entity)
Deprecated.

### removeRelationship

@Deprecated void removeRelationship(LayoutRelationship relationship)
Deprecated.

### removeRelationships

@Deprecated void removeRelationships(List<? extends LayoutRelationship> relationships)
Deprecated.